Merge nagios-nrpe from Debian unstable for 22.04

Bug #1946876 reported by Bryce Harrington
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
nagios-nrpe (Ubuntu)
Undecided
Bryce Harrington

Bug Description

Upstream: 4.0.3
Debian: 4.0.3-1
Ubuntu: 4.0.3-1ubuntu1

Debian typically updates nagios-nrpe every 3 months on average, but it was last updated 20.04 and looks overdue. Check back in on this monthly.

No upstream release expected for nagios-nrpe this cycle, based on upstream's historical release frequency.

### New Debian Changes ###

nagios-nrpe (4.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <email address hidden> Wed, 29 Apr 2020 10:38:59 +0200

nagios-nrpe (4.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes.
  * Don't explicitly enable systemd, enabled by default.
  * Drop check_nrpe-buffer-length.patch, included upstream.
  * Refresh patches.

 -- Bas Couwenberg <email address hidden> Mon, 23 Mar 2020 06:06:35 +0100

nagios-nrpe (4.0.0-2) unstable; urgency=medium

  * Add upstream patch to fix check_nrpe buffer length calculation.

 -- Bas Couwenberg <email address hidden> Thu, 23 Jan 2020 05:40:17 +0100

nagios-nrpe (4.0.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <email address hidden> Thu, 16 Jan 2020 08:09:17 +0100

nagios-nrpe (4.0.0-1~exp1) experimental; urgency=medium

  [ Bas Couwenberg ]
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.
  * Refresh patches.
  * Use single tab for dh command in rules.
  * Drop --parallel dh argument, used by default with compat 10.

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 10.
  * Drop unnecessary dependency on dh-autoreconf.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Bas Couwenberg <email address hidden> Thu, 16 Jan 2020 06:07:37 +0100

nagios-nrpe (3.2.1-3) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Bump Standards-Version to 4.4.0, no changes.
  * Update gbp.conf to use --source-only-changes by default.
  * Use /run instead of /var/run for PID.
    (closes: #932353)

 -- Bas Couwenberg <email address hidden> Sun, 28 Jul 2019 11:17:34 +0200

nagios-nrpe (3.2.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.5, no changes.
  * Update Vcs-* URLs for Salsa.
  * Drop dh-systemd build dependency, use debhelper (>= 9.20160709) instead.
  * Strip trailing whitespace from changelog file.

 -- Bas Couwenberg <email address hidden> Fri, 20 Jul 2018 21:04:36 +0200

nagios-nrpe (3.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches included upstream, refresh remaining patches.

 -- Bas Couwenberg <email address hidden> Sun, 03 Sep 2017 10:52:40 +0200

nagios-nrpe (3.2.0-4) unstable; urgency=medium

  * Add upstream patch to turn seteuid errors into warnings.
    (closes: #868326)

 -- Bas Couwenberg <email address hidden> Fri, 14 Jul 2017 16:51:12 +0200

nagios-nrpe (3.2.0-3) unstable; urgency=medium

  * Re-enable SSL support by default.
    Compatibility with older versions has been fixed.

 -- Bas Couwenberg <email address hidden> Fri, 07 Jul 2017 14:08:13 +0200

nagios-nrpe (3.2.0-2) unstable; urgency=medium

  * Fix 11_reproducible_dh.h.patch to not leave USE_SSL_DH undefined.
    Thanks to Johan Carlquist for pointing out this issue.
  * Drop --with-need-dh=no configure option, dh is needed.
  * Remove deterministic 'openssl dhparam' output handling,
    dh.h not included in upstream source.

 -- Bas Couwenberg <email address hidden> Thu, 06 Jul 2017 14:33:39 +0200

nagios-nrpe (3.2.0-1) unstable; urgency=medium

  * New upstream release.
    (closes: #565643)

### Old Ubuntu Delta ###

nagios-nrpe (4.0.3-1ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/rules : Add '--enable-command-args'. (LP #1555258) This
      update enables the command-args support in nrpe by not ignoring
      option 'dont_blame_nrpe=1'. By default, the option is set as
      follow : 'dont_blame_nrpe=0', which has the same effect of having
      the command-args support disabled at compile time like Debian
      does. Ubuntu has decided to deviate from Debian upstream for that
      particular case to allow/unblock the Ubuntu users of nrpe to make
      the choice for themselves whether to accept the security risks
      that the feature involve by manually enabling command-args in
      nrpe.cfg or not. For more details as of why Debian has decided to
      disable the feature can be found in debian/NEWS. (closes #756479)

 -- Sergio Durigan Junior <email address hidden> Mon, 15 Jun 2020 16:35:40 -0400

Bryce Harrington (bryce)
Changed in nagios-nrpe (Ubuntu):
assignee: nobody → Bryce Harrington (bryce)
Bryce Harrington (bryce)
description: updated
Changed in nagios-nrpe (Ubuntu):
milestone: none → ubuntu-21.12
Revision history for this message
Bryce Harrington (bryce) wrote :

[Nothing to merge yet]

Changed in nagios-nrpe (Ubuntu):
status: New → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers